extends Node2D
class_name Letter

@onready var backgroundImage : Sprite2D = $BackgroundImage
@onready var letterLabel : Label = $LetterLabel
@onready var hintCircle : Sprite2D = $HintCircle

var storedLetter : String = ""

func setVisualShift(amount : int) -> void:
	backgroundImage.position.y = amount
	letterLabel.position.y = amount
	hintCircle.position.y = amount

func setHintVisible(_visible : bool) -> void:
	hintCircle.visible = _visible

# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	setHintVisible(false)

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(_delta: float) -> void:
	pass

func setLetter(letter: String) -> void:
	self.storedLetter = letter
	letterLabel.text = letter

func getLetter() -> String:
	return storedLetter
